Loading...
Searching...
No Matches
XrdFrcXAttrCpy Class Reference

`#include <XrdFrcXAttr.hh>`

Collaboration diagram for XrdFrcXAttrCpy:

## Public Member Functions

| XrdFrcXAttrCpy ()
| ~XrdFrcXAttrCpy ()
int | postGet (int Result)
XrdFrcXAttrCpy * | preSet (XrdFrcXAttrCpy &tmp)

## Static Public Member Functions

static const char * | Name ()
static int | sizeGet ()
static int | sizeSet ()

## Public Attributes

long long | cpyTime
char | Rsvd [16]

## Detailed Description

Definition at line 51 of file XrdFrcXAttr.hh.

## Constructor & Destructor Documentation

## XrdFrcXAttrCpy()

XrdFrcXAttrCpy::XrdFrcXAttrCpy | ( |  | ) |

inline

Definition at line 80 of file XrdFrcXAttr.hh.

: cpyTime(0) {memset(Rsvd, 0, sizeof(Rsvd));}
XrdFrcXAttrCpy::cpyTime
long long cpyTime
Definition XrdFrcXAttr.hh:55
XrdFrcXAttrCpy::Rsvd
char Rsvd[16]
Definition XrdFrcXAttr.hh:56

References cpyTime, and Rsvd.

Referenced by preSet(), sizeGet(), and sizeSet().

Here is the caller graph for this function:

## ~XrdFrcXAttrCpy()

XrdFrcXAttrCpy::~XrdFrcXAttrCpy | ( |  | ) |

inline

Definition at line 81 of file XrdFrcXAttr.hh.

{}

## Member Function Documentation

## Name()

const char * XrdFrcXAttrCpy::Name | ( |  | ) |

inline static

Definition at line 73 of file XrdFrcXAttr.hh.

{return "XrdFrm.Cpy";}

## postGet()

int XrdFrcXAttrCpy::postGet | ( | int | Result | ) |

inline

Definition at line 60 of file XrdFrcXAttr.hh.

{if (Result > 0) cpyTime = ntohll(cpyTime);
return Result;
}

References cpyTime.

## preSet()

XrdFrcXAttrCpy * XrdFrcXAttrCpy::preSet | ( | XrdFrcXAttrCpy & | tmp | ) |

inline

Definition at line 68 of file XrdFrcXAttr.hh.

{tmp.cpyTime = htonll(cpyTime); return &tmp;}

References XrdFrcXAttrCpy(), and cpyTime.

Here is the call graph for this function:

## sizeGet()

int XrdFrcXAttrCpy::sizeGet | ( |  | ) |

inline static

Definition at line 77 of file XrdFrcXAttr.hh.

{return sizeof(XrdFrcXAttrCpy);}
XrdFrcXAttrCpy::XrdFrcXAttrCpy
XrdFrcXAttrCpy()
Definition XrdFrcXAttr.hh:80

References XrdFrcXAttrCpy().

Here is the call graph for this function:

## sizeSet()

int XrdFrcXAttrCpy::sizeSet | ( |  | ) |

inline static

Definition at line 78 of file XrdFrcXAttr.hh.

{return sizeof(XrdFrcXAttrCpy);}

References XrdFrcXAttrCpy().

Here is the call graph for this function:

## Member Data Documentation

## cpyTime

long long XrdFrcXAttrCpy::cpyTime

Definition at line 55 of file XrdFrcXAttr.hh.

Referenced by XrdFrcXAttrCpy(), postGet(), and preSet().

## Rsvd

char XrdFrcXAttrCpy::Rsvd[16]

Definition at line 56 of file XrdFrcXAttr.hh.

Referenced by XrdFrcXAttrCpy().

The documentation for this class was generated from the following file:

- XrdFrcXAttr.hh